GPROCMETER3(1)

NAME

gprocmeter3, procmeter3-gtk1 or procmeter3-gtk2 - A user friendly system monitoring program.

SYNOPSIS

gprocmeter3|procmeter3-gtk1|procmeter3-gtk2 [-h|--help] [-w <hint1>[,<hint2>]] [--rc=<filename>] [--...] [...] [GTK program options]

DESCRIPTION

ProcMeter Displays one or more pieces of information about the operating system and other resources. Most of the information that is displayed comes from the /proc filesystem. The program is modular and very configurable.

OPTIONS

The command line options are described below.

-h  Provides a help message listing the available outputs. This will be different for different computers depending on the Linux kernel version that is being used and the hardware/software that is configured.

-w  Gives Extended Window Manager hints (EWMH) to change the way that the Window Manager treats the ProcMeter3 window. Implemented hints are: above, below, skip_pager, skip_taskbar, sticky.

    You can give more than one hint separated by commas (e. g. -w above,skip_taskbar,sticky), or use -w multiple times (e. g. -w above -w sticky).

--rc=<filename>
    Load the specified .procmeterrc file in stead of the searching in the usual places.

--...
    A list of configuration file options that will override the values in the .procmeterrc file. The format of these options is (for example) --resources.background=grey50 which is equivalent to the entry in the .procmeterrc file of

     [resources]
     background = grey50

    All spaces around the equal sign must be removed and if spaces are required in the value on the right hand side then quotes must be used around the entire command line option.

... A list of names of outputs that are to be displayed. This can include any of the outputs that are available (see the -h option). For the CPU usage is in a module named Statistics with an output named CPU and there are graph (-g), text (-t) and bar (-b) options. To display the CPU usage graph you would use the command line option Statistics.CPU-g

GTK program options
    The standard set of GTK program options. These include --display to set the display to use.

X window options
    The only standard X Windows program option that is accepted is -geometry to set the size of the window.

USAGE

When started the program will display all of the requested information in a set of output panels (vertically aligned by default). Each output can be either a graph, text or bar, and can have a label indicating what it represents. The outputs that are displayed are those from the command line and those from the .procmeterrc configuration file.

The left mouse button will produce a menu of options that are specific to the output that is selected. The Properties option on this menu will give more detailed information about the origin and meaning of the information that is displayed. When the properties information window is displayed, clicking on another output will change the displayed information. The Move to Above and Move to Below options allow the output to be moved around in the window. Selecting one of these options will change the mouse cursor to a hand, use this to select another output. The output that was selected first will be moved to above or below the output that was selected second. The Run option on the menu (which may not be available on all outputs) will run the specified command. This may be to display a list of running processes, show the amount of free memory or disk space for example. This menu option is configurable in the .procmeterrc file.

The right mouse button will produce a set of menus that list the modules that are available and for each of them the available set of outputs. There are three types of output, text and two graphical outputs, these are indicated in the sub-menus by icons. Selecting one of the outputs from a sub-menu will cause that output to be displayed if it is not already visible. If it is currently displayed then it will be disabled. Those that are currently displayed are indicated by a marker to the left in the sub-menu. When the output is added to the window it will be placed at the bottom, use the left mouse button to move it if required.

The middle mouse button will display the sub-menu that is associated with the module for the output that is selected. This is one of sub-menus that are found with the right mouse button.

MODULES

The modules that are available for gprocmeter3, procmeter3-gtk1 and procmeter3-gtk2 are described in the procmeter3_modules(1) manual page.

SEE ALSO

procmeterrc(5) procmeter3_modules(1)

AUTHOR

Andrew M. Bishop 1998-2008